"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chai = require("chai");
const toGTFSDate_1 = require("./toGTFSDate");
describe("toGTFSDate", () => {
    it("returns a GTFS date string", () => {
        const date = new Date("2019-06-04");
        const result = toGTFSDate_1.toGTFSDate(date);
        chai.expect(result).to.equal("20190604");
    });
});
