"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const child_process_1 = require("child_process");
class ZipOutput {
    constructor(tempFolder) {
        this.tempFolder = tempFolder;
    }
    async write(outputFile) {
        console.log("Writing " + outputFile);
        await child_process_1.exec(`zip -j ${outputFile} ${this.tempFolder}*.txt`, { maxBuffer: Number.MAX_SAFE_INTEGER });
    }
}
exports.ZipOutput = ZipOutput;
