/// <reference types="node" />
import { Transform, TransformCallback } from "stream";
/**
 * Uses the underlying Writable stream to output GTFS data
 */
export declare class CSVStream extends Transform {
    private readonly fields;
    private readonly key;
    private headerSent;
    private seenKeys;
    constructor(fields: string[], key?: string | null);
    /**
     * Write the given entity to the file stream
     */
    _transform(data: any, encoding: string, callback: TransformCallback): void;
    private quote;
}
