/// <reference types="node" />
import { Writable } from "stream";
/**
 * Pass the data through to the output stream
 */
export declare class GenericMerger {
    private readonly stream;
    constructor(stream: Writable);
    /**
     * Write all the given entries to the output stream
     */
    write(items: any[]): Promise<void>;
    private push;
    /**
     * Flush all the data to the output stream
     */
    end(): Promise<void>;
}
