/**
 * Generates a sequence number for each unique hash
 */
export declare class MemoizedSequence {
    private cache;
    private current;
    /**
     * If the hash has already been seen return the ID that was given for it, if not
     * return a the next number in the sequence.
     */
    get(hash: string): number;
    /**
     * Check whether we've seen the given hash
     */
    haveSeen(hash: string): boolean;
}
